// Copyright 2023 Michael Amann and contributors
// SPDX-License-Identifier: AGPL-3.0-only

package meta

import (
	"go.kle.li/tools/go-meta/buildmeta"
	"go.kle.li/tools/go-meta/shared"
)

var (
	isTag         = "false"
	branch        = ""
	defaultBranch = ""
	version       = ""
	commit        = ""
	commitTime    = ""
)

var mdp = buildmeta.NewPackageMetadata(&shared.PackageMetadataInput{
	IsTag:         isTag,
	Branch:        branch,
	Version:       version,
	CommitSha:     commit,
	CommitTime:    commitTime,
	DefaultBranch: defaultBranch,
})

func GetVersion() string {
	return mdp.Version
}

func GetPackageVersion() string {
	return mdp.GoCommitVersion
}

func GetCommit() string {
	return mdp.CommitSha
}

func GetShortCommit() string {
	_, slug := mdp.GetCommitShaSlug(8)
	return slug
}
